[EPIC] MNMporHo3Hi npopaxi - Task #5617

Jlopartu aHaniTMKy no NPOrHo3HUM Npoaaxam B peXuMi nnaHorpaMym no marasuHax i no ¢popmarax
11/07/2024 04:37 - % llya Lepkin-Titov

Status: Ready for testing Start date:
Priority: Normal Due date: 25/02/2025
Assignee: # Daria Dzhurko Spent time: 5.00 hours
Category:
Target version: Release 111
Category: Analytics Current Version: Release 110
Due date: OS (operating

system):
Client:
Description

Bknapka AHanituka B pe)KI/IMi nnaHorpamu no MarasmHax Ta B pe)KI/IMi nnadorpamu no coopmarax

Description

Jonatn nepemnkay lNporHos (CM. BKNageHHs nepeMmnkay NporHos). Skwo nepemMmkay BKIKYEHO, TO BUKOPUCTOBYIOTbCS MPOrHO3HI
npoAaxi, AKWo nepemmnkay BUKIYEHWIA - IMWAKTbCS iICTOPUYHI NPodaxi. 3a 3aMOBYYBaHHSAM NepemMmKay BUKTIOYEHWIA.

Y BnacHux npoaaxax 3anuwaetbcs noTo4Ha norika.

Jns NporHo3HMx npoaaxis HacCTynHa norika:

1. MporHosHi npoaaxi nepenarTbes TiNbky B PO3pPi3i TUXHS.

2. Obpatu po3paxyHOK MOXHa nuie no nokasHukax: Mpoaaxi B rpowax (ABC O6ir, Mpoaaxi 06ir), Mponaxi kinbkicts (ABC
KinbkicTb, MNMpopaxi kinbkicTb). CM. BKNafeHHS NoKasHUKM.

DyHKLiOHaNbHI BUMOTW:

1. OTpnmyBaTm 3 6eky NPOrHO3Hi Npogaxi.

2. Dopatwn chinbTp O>Xepeno naHux - NOTOYHWIA MarasviH, BCi MarasuHm, 3a BMICTOM doopmartiB(norika raka cama, §K i B aHanisi 3
iCTOPUYHMMK Npoaaxamu).

2.1. MoToYHMM - aHani3 ToBapiB Ha o6nafHaHHI No MOTOYHOMY MaraauHy (Norika Taka cama, SiK i B aHanisi 3 iCTOpUYHUMM
npogaxamu).

2.2. lopatm BCi - aHani3 ToBapie Mo cepefHbOMY 3HAYEHHI MO BCiX MarasunHax, ski JOCTYMHi KopUcTyBady (norika Taka cama, sK i B
aHanisi 3 iCTopMYyHUMM Npoaaxamm).

2.3. 3a BMiCTOM chopmarTis - SKIWO Lie He dhopMaTHe 06naaHaAHHS BUKOPUCTOBYETLCS MOTOYHWIA MarasuH (norika Taka cama, sk i B
aHanisi 3 icTopuYHMMM Npojaxamu).

3. JocTynHi noKasHuKu:

3.1. ABC o6ir

3.2. Mpogpaxi obir

3.3. ABC «inbkicTb

3.4. MNpopaxi KinbKicTb

4. Mpw BUbOpi 3aBaHTaXXMTK AaHi NPOrHO3HI NpoAaxi 3aBaHTaXYTbCS B KyOik aHaniTUKy Ta B BCMMBAOYY CTPOKY Y BiANOBIAHI
nons (ABC o6ir, Mpoaaxi 06ir, ABC kinbkicTb, MNpoaaxi KinbkicTb)

5. Mpw B1bOpI Nepioaa B BKNaALi NPOrHO3Hi Npoaaxi BiH TakoX BigobpaxaeTbCs Ha 3aranbHii BKNaaui Sk 4EMOHCTPALs, Wo
3apas 06paHunii MaiibyTHin nepion

6. B kaneHpapi BULiNSTU KONbOPOM 0BpaHuii TUXAeHb Mo AaTi no4Yatky i obpaHuii TXAeHb No AaTi 3aBepWeHHs nepiomy (CM.
BKNaAeHHs KaneHnap)

7. Bina nepemukaya NporHo3 Bcnavearoya nigkaska - BukopmctaHHs NporHo3HWX npoaaxis

Related issues:
Related to [EPIC] MNporHo3Hi npogaxi - User story #5584: BukopucTaHHS NPOrHO3H. .. Ready for development 25/02/2025

History

#1 - 11/07/2024 04:38 - # llya Lepkin-Titov

- Related to User story #5584: BukopuctaHHs nporHo3Hux nposaxis B Shelf added

#2 - 02/12/2024 08:34 - & Aleksandr Bilousko
- File kaneHgap.png added

- File nokasHukun.png added
- File nepemuka4 nporHo3.png added

- Subject changed from Lonaru aHanituky no rnporHO3H1M fpoAaxam Ha naaH 3any, rnaHorpamy i goopmar to donarv aHanitnky no nporHo3HNM
rpoaaxam B pexxuMi niaHorpamu rno MarasvHax i no goopmarax

- Description updated

- Assignee changed from # llya Lepkin-Titov to & Aleksandr Bilousko

#3 - 02/12/2024 08:34 - # Aleksandr Bilousko
- Assignee changed from % Aleksandr Bilousko to # Aleksandr Tsymbalyuk

#4 - 09/12/2024 08:42 - & Aleksandr Bilousko

- Target version changed from Release 110 to Release 111

#5 - 05/02/2025 07:05 - & Aleksandr Bilousko

- Tracker changed from User story to Task

- Project changed from Shelf dev to [EPIC] lNporHosHi npogaxi
- Target version deleted (Release 111)

- Current Version set to Release 110

#6 - 05/02/2025 07:09 - & Aleksandr Bilousko
- Due date set to 25/02/2025
- Start date deleted (11/07/2024)

#7 - 25/03/2025 10:27 - & Katarina Herikh

- Target version set to Release 111

#8 - 13/04/2025 12:35 - # Aleksandr Tsymbalyuk
- Status changed from New to Ready for development

- Assignee changed from # Aleksandr Tsymbalyuk to # Valeriia Rublevskaia

1. Donas B iHTEpdoeiic nepemnkay, Wo Bignosinae 3a "forecast" screen-1.png

2. B meton POST "/abc", "/sales" Tenep nonaTkoBo nepenaiotbes

"forecastStart":"202504 14",

"forecastEnd":"20250420",

"settings": {

"forecast":true

}

3. forecastStart, forecastEnd 3aBxau MatoTb 6y Ty NOYATKOM i KiHLIEM TUXHS,

npy TOMY MOYaTKOM TUXHSI MOXe ByTW faTta Wo BXe B MUHYNOMY, KiHLEM 3aBXAu Mae 6yTu nata Wwo B MainbyTHbOMY.
Skuwo kopucTyBay obepe HEKOPPEKTHO AaTy npwu BBiMKHEHOMY "forecast”:true oTpumae BiANOBiAHE NOBIOOMIEHHS.

#9 - 14/04/2025 10:08 - # Valeriia Rublevskaia
- Assignee changed from # Valeriia Rublevskaia to # Aleksandr Tsymbalyuk

3i cBoro 60ky 06pobnsto BnactueicTb forecast i natn 6epy sKiwo
forecast: true

forecastStart i forecastEnd

AKWO

forecast: false

start i end

#10 - 15/04/2025 03:20 - & Aleksandr Bilousko

Onwcae poboTy kaneHaaps Ans NPOrHO3HUX Npoaaxis
Po6oTa kaneHnaps npu BKNOYEHUX MPOrHO3HUX MpoAaxax

1. 3HaYeHHS NPOrHO3HMX NPOAAXIB 3aBAHTAXYIOTbCS MO NOHeLiNKax B po3pisi TMXHSA. MakcumanbHa KinbKiCTb TUXHIB, SKa MICTUTb NPOrHO3Hi
npopaxi, cknapgae 12 TuxHis

2. B 06paHoMy nepiofLi B po3paxyHOK 00AanyTbCs 3HAYEHHS MPOrHO3HUX MPOAaXiB TUX MOHELINKIB, sIKi NOTPanAsoTh B LEi nepios

3. MNpu 06vpaHHi Nepiofa 3 cepeauHy MOTOYHOMO TUXHS BPaxyOTbCsS MPOrHO3HI NpoAaxi 3 NoHeAdinKa LUboro TUXHS

4. Mpw 06vpaHHi ManbyTHLOro Nepioay B PO3PaxyHOK Bi3bMyTbCS HASBHI 3HAYEHHS MPOrHO3HMX NPOAAXIB (MAKCUMYM 12 TUXHIB), BCi HACTYMHI
TUXHI O0AAYTbCA B PO3PaXyHOK AK HY i

5. He MoxHa 6yne obpaTtu nepiof paHille, Hixk No4aTok NMOTOYHOIO TUXHS (CUCTEMa He [03BONUTb)
#11 - 22/04/2025 03:37 - # Aleksandr Tsymbalyuk
- Status changed from Ready for development to Ready for testing

- Assignee changed from # Aleksandr Tsymbalyuk to # Daria Dzhurko

Files

Screenshot 2024-07-04 at 15.22.06.png 6.8 KB 11/07/2024 % llya Lepkin-Titov
nokasHvku.png 41.9 KB 02/12/2024 & Aleksandr Bilousko
KaneHmap.png 86.2 KB 02/12/2024 & Aleksandr Bilousko
nepemukay nporHos.png 64.4 KB 02/12/2024 & Aleksandr Bilousko
